For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List business partners

GET
/business-partners/

Use with AI:Rippling AI ChatGPT Claude Cursor

List business partners

GET
/business-partners/

Returns a paginated list of all business partners linked to the organization.

Helpful resources

Required Scopes

  • business-partners.read

Request

Query Parameters
    filter string
    expand string
    order_by string
    limit integerrequired

    Possible values: >= 1 and <= 100

    Default value: 50

    The maximum number of results to return. Defaults to 50. Maximum is 100.

    cursor string

Using filters

Include one or more of these fields in the filter parameter to refine your results.

Fields:worker_id, business_partner_group_id

Expanding objects

Include one or more of these fields in the expand parameter to return nested data.

Fields:business_partner_group, worker, client_group

Sorting results

Include one or more of these fields in the sort parameter to control result order.

Fields:id, created_at, updated_at

Responses​

Successful response
Schema
    __meta object
    A list of redacted fields.
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    results object[]
      Array [
      id stringrequired

      Identifier field

      created_at stringrequired

      Record creation date

      updated_at stringrequired

      Record update date

      business_partner_group_id stringrequired

      Identifier of business partner group the business parter is a part of

      business_partner_group object
      Business partner group the business partner is a part of
        id stringrequired

        Identifier field

        created_at stringrequired

        Record creation date

        updated_at stringrequired

        Record update date

        name stringrequired

        Name used to identify business partner group

        domain string

        Type of business partner group

        Possible values: [HR,IT,FINANCE,RECRUITING,OTHER]
        default_business_partner_id string

        Id of Optional default business partner worker to whom all employees will be mapped if not explicitly mapped to a business partner in the group.

        default_business_partner object
        Optional default business partner worker to whom all employees will be mapped if not explicitly mapped to a business partner in the group.
          id stringrequired

          Identifier field

          created_at stringrequired

          Record creation date

          updated_at stringrequired

          Record update date

          user_id string

          The worker's associated user.

          user object
          The worker's associated user.
            id stringrequired

            Identifier field

            created_at stringrequired

            Record creation date

            updated_at stringrequired

            Record update date

            active boolean

            Whether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.

            username string

            The unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.

            name object
            The user's name.
              formatted string

              The user's full name.

              given_name string

              The given legal name of the user, or first name in most Western languages.

              middle_name string

              The middle name(s) of the user.

              family_name string

              The legal family name of the user, or last name in most Western languages.

              preferred_given_name string

              The preferred given name, or first name in most Western languages, by the user.

              preferred_family_name string

              The preferred family name, or last name in most Western languages, by the user.

            display_name string

            The display name of the user using either the concatenated preferred given and family name or username depending on availability.

            emails object[]
            The user's email addresses.
              Array [
              value string

              A valid email address.

              type string

              The classification of the email.

              Possible values: [HOME,WORK,OTHER]
              display string

              The display value of the email address.

              ]
            phone_numbers object[]
            The user's phone numbers.
              Array [
              value string

              The canonical global phone number pursuant to RFC3966.

              type string

              The classification of the phone number, pursuant to SCIM RFC 7643 4.1.2.

              Possible values: [HOME,WORK,MOBILE,FAX,OTHER]
              display string

              The display value of the phone number.

              ]
            addresses object[]
            The user's addresses.
              Array [
              type string

              The classification of the address.

              Possible values: [HOME,WORK,OTHER]
              formatted string

              The formatted mailing address.

              street_address string

              The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

              locality string

              The city or locality component.

              region string

              The state or region component, pursuant to SCIM RFC 7643 4.1.2.

              postal_code string

              The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

              country string

              The country component, pursuant to SCIM RFC 7643 4.1.2.

              Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
              ]
            photos object[]
            The user's photos.
              Array [
              value string

              The URL of the photo.

              type string

              The classification of the photo.

              Possible values: [PHOTO,THUMBNAIL]
              ]
            preferred_language string

            The User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.

            locale string

            The User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.

            timezone string

            The User's current time zone in IANA database Olson format

            number string

            The permanent profile number of the user.

          is_manager boolean

          Whether the worker is a manager

          manager_id string

          The worker's manager.

          manager object
          The worker's manager.
            legal_entity_id string

            The worker's associated legal entity.

            legal_entity object
            The worker's associated legal entity.
              id stringrequired

              Identifier field

              created_at stringrequired

              Record creation date

              updated_at stringrequired

              Record update date

              tax_identifier string

              The tax identifier for the legal entity.

              country object
              The country the legal entity is based in.
                code stringrequired

                The code of the country.

                Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
              legal_name string

              The legal name of the legal entity.

              entity_level string

              The legal entity's level in a hierarchy. * PARENT: The legal entity is considered the ultimate holding entity. * SUBSIDIARY: The legal entity is considered a subsidiary, fully or partially held by another. * BRANCH: The legal entity is considered a branch, associated with a parent legal entity.

              Possible values: [PARENT,SUBSIDIARY,BRANCH]
              registration_date string

              The registration date of the entity.

              mailing_address object
              The mailing address of the legal entity.
                type string

                The classification of the address.

                Possible values: [HOME,WORK,OTHER]
                formatted string

                The formatted mailing address.

                street_address string

                The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                locality string

                The city or locality component.

                region string

                The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                postal_code string

                The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                country string

                The country component, pursuant to SCIM RFC 7643 4.1.2.

                Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
              physical_address object
              The physical address of the legal entity, if it differs from the mailing address.
                type string

                The classification of the address.

                Possible values: [HOME,WORK,OTHER]
                formatted string

                The formatted mailing address.

                street_address string

                The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                locality string

                The city or locality component.

                region string

                The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                postal_code string

                The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                country string

                The country component, pursuant to SCIM RFC 7643 4.1.2.

                Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
              parent_id string

              The parent legal entity.

              parent object
              The parent legal entity.
                management_type string

                The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). * PEO: The legal entity is considered a Professional Employment Organization (PEO). * EOR: The legal entity is considered an Employer of Record (EOR).

                Possible values: [PEO,EOR,COR]
                company_id string

                The company or organization associated with the legal entity

                company object
                The company or organization associated with the legal entity
                  id stringrequired

                  Identifier field

                  created_at stringrequired

                  Record creation date

                  updated_at stringrequired

                  Record update date

                  parent_legal_entity_id string

                  The company's ultimate holding entity.

                  parent_legal_entity object
                  The company's ultimate holding entity.
                    legal_entities_id string[]required

                    A list of the company's entities.

                    legal_entities object[]required

                    A list of the company's entities.

                    Expandable field

                    physical_address object
                    The physical address of the holding entity.
                      type string

                      The classification of the address.

                      Possible values: [HOME,WORK,OTHER]
                      formatted string

                      The formatted mailing address.

                      street_address string

                      The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                      locality string

                      The city or locality component.

                      region string

                      The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                      postal_code string

                      The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                      country string

                      The country component, pursuant to SCIM RFC 7643 4.1.2.

                      Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                    primary_email string

                    The email address used when registering this company.

                    legal_name string

                    The legal name of the company.

                    doing_business_as_name string

                    The doing business as name for the company.

                    phone string

                    The phone number for the company.

                    name stringrequired

                    The name of the company.

                country string

                The worker's country.

                Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                start_date string

                The start date of the worker.

                end_date string

                The end date of the worker.

                number integer

                The worker's number within the organization.

                work_email string

                The worker's associated work email address.

                personal_email string

                The worker's associated personal email address.

                status string

                The worker's status within the organization.

                Possible values: [INIT,HIRED,ACCEPTED,ACTIVE,TERMINATED]
                location object
                The location that the worker is mapped to for tax purposes. In the case that a worker is remote, the location's type is remote.
                  type stringrequired

                  The type of location.

                  Possible values: [REMOTE,WORK]
                  work_location_id stringrequired

                  The work location, if the worker isn't remote.

                employment_type_id string

                The worker's employment type.

                employment_type object
                The worker's employment type.
                  id stringrequired

                  Identifier field

                  created_at stringrequired

                  Record creation date

                  updated_at stringrequired

                  Record update date

                  label stringrequired

                  The display label of the employment type.

                  name string

                  The name of the employment type for non-custom employment types.

                  type string

                  The classification of the worker by the company. * CONTRACTOR: Contractors are self-employed workers who provide services on a short-term or per-project basis and are not eligible for tax-withholding or benefits. * EMPLOYEE: Employees are hired and managed by an employer, work under the employer's direct supervision and control, and are protected by law for wages and employment rights.

                  Possible values: [CONTRACTOR,EMPLOYEE]
                  compensation_time_period string

                  The compensation period for the employment type. * SALARIED: Employees that are paid a fixed amount per year. * HOURLY: Employees that are paid a wage per hour worked.

                  Possible values: [HOURLY,SALARIED]
                  amount_worked string

                  The amount worked for the employment type. * FULL-TIME: Full-time is at least 30 hours per week. Full-time workers will typically be eligible for benefits. * PART-TIME: Part-time is less than 30 hours per week. These workers may be eligible for benefits, depending on company settings and hours worked. * TEMPORARY: These workers are hired on a temporary basis. You can specify how each worker with this employment type will be paid individually.

                  Possible values: [PART-TIME,FULL-TIME,TEMPORARY]
                gender string

                The gender of the worker, if specified.

                Possible values: [MALE,FEMALE,NONBINARY,UNDETERMINED,DIVERSE,DOES_NOT_APPLY,PREFER_NOT_TO_SAY]
                date_of_birth string

                The worker's date of birth.

                race string

                The identified race of the worker, if specified.

                Possible values: [BLACK,BROWN,CHINESE,EURASIAN,INDIAN,INDIGENOUS,MALAY,WHITE,YELLOW,NOT_INFORMED,OTHER]
                ethnicity string

                The identified ethnicity of the worker, if specified.

                Possible values: [HISPANIC_OR_LATINO,WHITE,BLACK_OR_AFRICAN_AMERICAN,NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER,ASIAN,AMERICAN_INDIAN_OR_ALASKA_NATIVE,TWO_OR_MORE_RACES,MIDDLE_EASTERN_OR_NORTH_AFRICAN,DECLINE_TO_SELF_IDENTIFY,AFRICAN,COLOURED,INDIAN,OTHER,PREFER_NOT_TO_SAY]
                citizenship string

                The countries that the worker has citizenship in.

                Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                compensation_id string

                The compensation package for the worker.

                compensation object
                The compensation package for the worker.
                  id stringrequired

                  Identifier field

                  created_at stringrequired

                  Record creation date

                  updated_at stringrequired

                  Record update date

                  worker_id string

                  The worker's ID.

                  worker object
                  The worker's details.
                    annual_compensation object
                    The worker's annual compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    annual_salary_equivalent object
                    The worker's annual salary equivalent, for insurance purposes. It will be equal to the worker's annual compensation, except for owners that are receiving no cashcompensation.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    hourly_wage object
                    The worker's hourly wage. This calculation assumes 40-hour work weeks for workers with fixed compensation.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    monthly_compensation object
                    The worker's monthly compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    on_target_commission object
                    The worker's on-target commission.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    relocation_reimbursement object
                    The worker's hourly wage. This calculation assumes 40-hour work weeks for workers with fixed compensation.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    signing_bonus object
                    The worker's signing bonus.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    target_annual_bonus object
                    The worker's target annual bonus amount.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    weekly_compensation object
                    The worker's weekly compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.
                      currency_type string

                      The currency type, ex: USD, EUR, etc.

                      value number

                      The decimal amount for the currency.

                    target_annual_bonus_percent number

                    The worker's target annual bonus as a percent of annual compensation.

                    bonus_schedule string

                    The worker's bonus schedule.

                    payment_type string

                    The payment type for an worker's compensation.

                    payment_terms string

                    The payment terms for an worker's compensation.

                    salary_effective_date string

                    Salary effective date

                  overtime_exemption string

                  The worker's overtime exemption status.

                  Possible values: [EXEMPT,NON_EXEMPT]
                  department_id string

                  The worker's assigned department.

                  department object
                  The worker's assigned department.
                    id stringrequired

                    Identifier field

                    created_at stringrequired

                    Record creation date

                    updated_at stringrequired

                    Record update date

                    name stringrequired

                    The name of the department.

                    parent_id string

                    The parent department.

                    parent object
                    The parent department.
                      reference_code string

                      Reference code of the department.

                      department_hierarchy_id string[]

                      The identifier of departments in the department hierarchy ordered from parent department to child department.

                      department_hierarchy object[]

                      List of departments in the department hierarchy. Refer department_hierarchy_ids for department hierarchy order.

                      Expandable field

                    teams_id string[]

                    The worker's assigned teams.

                    teams object[]
                    The worker's assigned teams.
                      Array [
                      id stringrequired

                      Identifier field

                      created_at stringrequired

                      Record creation date

                      updated_at stringrequired

                      Record update date

                      parent_id string

                      The parent team

                      parent object
                      The parent team
                        name stringrequired

                        The name of the team.

                        ]
                      title string

                      The worker's title.

                      title_effective_date string

                      Title effective date

                      level_id string

                      The level of the worker.

                      level object
                      The level of the worker.
                        id stringrequired

                        Identifier field

                        created_at stringrequired

                        Record creation date

                        updated_at stringrequired

                        Record update date

                        name stringrequired

                        The name of the level. Must be unique within the company or organization.

                        parent_id string

                        The parent level.

                        parent object
                        The parent level.
                          global_level integer

                          Global level is used to track the seniority of levels. The higher up a level is placed on the page, the more senior and higher-ranked the level. Global level is used in workflows, policies, and reports that use the level attribute (e.g., you can use Level Lookup to set up a workflow that notifies the nearest person in an worker's management chain at or above the specified level).

                          description string

                          The description of the level.

                          scope_of_responsibilities string

                          The scope of responsibilities for the level.

                          experience_requirements string

                          The experience requirements for the level.

                          rank integer

                          The rank of the level within its track.

                          track_id string

                          The track associated with the level. Required during creation. Include global_level when changing it.

                          track object
                          The track associated with the level, if it's not a global level.
                            id stringrequired

                            Identifier field

                            created_at stringrequired

                            Record creation date

                            updated_at stringrequired

                            Record update date

                            name stringrequired

                            The name of the track. Must be unique within the company or organization.

                            is_default boolean

                            Whether this is the company's default track.

                            order integer

                            The one-based horizontal display order of the track.

                            start_global_level integer

                            The highest global level occupied by this track. Empty tracks return null.

                        job_function_id string

                        ID of the worker's job function.

                        job_function object
                        The worker's job function. When expanded, this field requires `job-functions.read`.
                          id stringrequired

                          Identifier field

                          created_at stringrequired

                          Record creation date

                          updated_at stringrequired

                          Record update date

                          name string

                          Displayed name of the job function

                        termination_details object
                        The details of the worker's termination, if applicable.
                          type string

                          The termination type indicates whether the termination was voluntary or involuntary.

                          Possible values: [VOLUNTARY,INVOLUNTARY,RETIREMENT,DEATH,ABANDONMENT,OFFER_DECLINED,RESCIND,RENEGE]
                          reason string

                          This is a description that will be custom to each Rippling company.

                        pay_schedule_id string

                        The ID of the pay schedule currently associated with the worker.

                        work_schedule object
                        The worker's scheduled working hours for each day of the week.
                          property name* object
                          The scheduled working hours for a day of the week.
                            hours number

                            The number of scheduled working hours for the day.

                        compensation_grade object
                        The compensation grade assigned to the worker, if any.
                          id string

                          The compensation grade's unique identifier.

                          label string

                          The compensation grade's label.

                        original_start_date string

                        The worker's earliest start date across their employment history, excluding INIT roles.

                        custom_fields object[]
                        Custom field values defined on the Employee object for this worker
                          Array [
                          property name* object
                          ]
                        country_fields object
                        Country level fields for the worker.
                          us object
                          Country-wise regional fields for USA
                            ssn string

                            Social Security Number (SSN) for US employees.

                          ca object
                          Country-wise regional fields for Canada
                            sin string

                            Social Insurance Number (SIN) for Canada employees.

                          nz object
                          Country-wise regional fields for New Zealand
                            ird_number string

                            Inland Revenue Department (IRD) number for New Zealand employees.

                        business_partners_id string[]

                        Worker's assigned business partners unique identifiers. Returns an empty list ([]) if the worker has no business partners.

                        business_partners object[]

                        Worker's assigned business partners. This field is only populated when explicitly requested via the expand parameter (e.g., ?expand=business_partners). When expanded, returns an empty list ([]) if the worker has no business partners.

                        Expandable field

                    worker_id stringrequired

                    Identifier of worker who is the business partner

                    worker object
                    Worker who is the business partner
                      id stringrequired

                      Identifier field

                      created_at stringrequired

                      Record creation date

                      updated_at stringrequired

                      Record update date

                      user_id string

                      The worker's associated user.

                      user object
                      The worker's associated user.
                        id stringrequired

                        Identifier field

                        created_at stringrequired

                        Record creation date

                        updated_at stringrequired

                        Record update date

                        active boolean

                        Whether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.

                        username string

                        The unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.

                        name object
                        The user's name.
                          formatted string

                          The user's full name.

                          given_name string

                          The given legal name of the user, or first name in most Western languages.

                          middle_name string

                          The middle name(s) of the user.

                          family_name string

                          The legal family name of the user, or last name in most Western languages.

                          preferred_given_name string

                          The preferred given name, or first name in most Western languages, by the user.

                          preferred_family_name string

                          The preferred family name, or last name in most Western languages, by the user.

                        display_name string

                        The display name of the user using either the concatenated preferred given and family name or username depending on availability.

                        emails object[]
                        The user's email addresses.
                          Array [
                          value string

                          A valid email address.

                          type string

                          The classification of the email.

                          Possible values: [HOME,WORK,OTHER]
                          display string

                          The display value of the email address.

                          ]
                        phone_numbers object[]
                        The user's phone numbers.
                          Array [
                          value string

                          The canonical global phone number pursuant to RFC3966.

                          type string

                          The classification of the phone number, pursuant to SCIM RFC 7643 4.1.2.

                          Possible values: [HOME,WORK,MOBILE,FAX,OTHER]
                          display string

                          The display value of the phone number.

                          ]
                        addresses object[]
                        The user's addresses.
                          Array [
                          type string

                          The classification of the address.

                          Possible values: [HOME,WORK,OTHER]
                          formatted string

                          The formatted mailing address.

                          street_address string

                          The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                          locality string

                          The city or locality component.

                          region string

                          The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                          postal_code string

                          The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                          country string

                          The country component, pursuant to SCIM RFC 7643 4.1.2.

                          Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                          ]
                        photos object[]
                        The user's photos.
                          Array [
                          value string

                          The URL of the photo.

                          type string

                          The classification of the photo.

                          Possible values: [PHOTO,THUMBNAIL]
                          ]
                        preferred_language string

                        The User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.

                        locale string

                        The User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.

                        timezone string

                        The User's current time zone in IANA database Olson format

                        number string

                        The permanent profile number of the user.

                      is_manager boolean

                      Whether the worker is a manager

                      manager_id string

                      The worker's manager.

                      manager object
                      The worker's manager.
                        legal_entity_id string

                        The worker's associated legal entity.

                        legal_entity object
                        The worker's associated legal entity.
                          id stringrequired

                          Identifier field

                          created_at stringrequired

                          Record creation date

                          updated_at stringrequired

                          Record update date

                          tax_identifier string

                          The tax identifier for the legal entity.

                          country object
                          The country the legal entity is based in.
                            code stringrequired

                            The code of the country.

                            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                          legal_name string

                          The legal name of the legal entity.

                          entity_level string

                          The legal entity's level in a hierarchy. * PARENT: The legal entity is considered the ultimate holding entity. * SUBSIDIARY: The legal entity is considered a subsidiary, fully or partially held by another. * BRANCH: The legal entity is considered a branch, associated with a parent legal entity.

                          Possible values: [PARENT,SUBSIDIARY,BRANCH]
                          registration_date string

                          The registration date of the entity.

                          mailing_address object
                          The mailing address of the legal entity.
                            type string

                            The classification of the address.

                            Possible values: [HOME,WORK,OTHER]
                            formatted string

                            The formatted mailing address.

                            street_address string

                            The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                            locality string

                            The city or locality component.

                            region string

                            The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                            postal_code string

                            The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                            country string

                            The country component, pursuant to SCIM RFC 7643 4.1.2.

                            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                          physical_address object
                          The physical address of the legal entity, if it differs from the mailing address.
                            type string

                            The classification of the address.

                            Possible values: [HOME,WORK,OTHER]
                            formatted string

                            The formatted mailing address.

                            street_address string

                            The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                            locality string

                            The city or locality component.

                            region string

                            The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                            postal_code string

                            The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                            country string

                            The country component, pursuant to SCIM RFC 7643 4.1.2.

                            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                          parent_id string

                          The parent legal entity.

                          parent object
                          The parent legal entity.
                            management_type string

                            The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). * PEO: The legal entity is considered a Professional Employment Organization (PEO). * EOR: The legal entity is considered an Employer of Record (EOR).

                            Possible values: [PEO,EOR,COR]
                            company_id string

                            The company or organization associated with the legal entity

                            company object
                            The company or organization associated with the legal entity
                              id stringrequired

                              Identifier field

                              created_at stringrequired

                              Record creation date

                              updated_at stringrequired

                              Record update date

                              parent_legal_entity_id string

                              The company's ultimate holding entity.

                              parent_legal_entity object
                              The company's ultimate holding entity.
                                legal_entities_id string[]required

                                A list of the company's entities.

                                legal_entities object[]required

                                A list of the company's entities.

                                Expandable field

                                physical_address object
                                The physical address of the holding entity.
                                  type string

                                  The classification of the address.

                                  Possible values: [HOME,WORK,OTHER]
                                  formatted string

                                  The formatted mailing address.

                                  street_address string

                                  The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

                                  locality string

                                  The city or locality component.

                                  region string

                                  The state or region component, pursuant to SCIM RFC 7643 4.1.2.

                                  postal_code string

                                  The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

                                  country string

                                  The country component, pursuant to SCIM RFC 7643 4.1.2.

                                  Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                                primary_email string

                                The email address used when registering this company.

                                legal_name string

                                The legal name of the company.

                                doing_business_as_name string

                                The doing business as name for the company.

                                phone string

                                The phone number for the company.

                                name stringrequired

                                The name of the company.

                            country string

                            The worker's country.

                            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                            start_date string

                            The start date of the worker.

                            end_date string

                            The end date of the worker.

                            number integer

                            The worker's number within the organization.

                            work_email string

                            The worker's associated work email address.

                            personal_email string

                            The worker's associated personal email address.

                            status string

                            The worker's status within the organization.

                            Possible values: [INIT,HIRED,ACCEPTED,ACTIVE,TERMINATED]
                            location object
                            The location that the worker is mapped to for tax purposes. In the case that a worker is remote, the location's type is remote.
                              type stringrequired

                              The type of location.

                              Possible values: [REMOTE,WORK]
                              work_location_id stringrequired

                              The work location, if the worker isn't remote.

                            employment_type_id string

                            The worker's employment type.

                            employment_type object
                            The worker's employment type.
                              id stringrequired

                              Identifier field

                              created_at stringrequired

                              Record creation date

                              updated_at stringrequired

                              Record update date

                              label stringrequired

                              The display label of the employment type.

                              name string

                              The name of the employment type for non-custom employment types.

                              type string

                              The classification of the worker by the company. * CONTRACTOR: Contractors are self-employed workers who provide services on a short-term or per-project basis and are not eligible for tax-withholding or benefits. * EMPLOYEE: Employees are hired and managed by an employer, work under the employer's direct supervision and control, and are protected by law for wages and employment rights.

                              Possible values: [CONTRACTOR,EMPLOYEE]
                              compensation_time_period string

                              The compensation period for the employment type. * SALARIED: Employees that are paid a fixed amount per year. * HOURLY: Employees that are paid a wage per hour worked.

                              Possible values: [HOURLY,SALARIED]
                              amount_worked string

                              The amount worked for the employment type. * FULL-TIME: Full-time is at least 30 hours per week. Full-time workers will typically be eligible for benefits. * PART-TIME: Part-time is less than 30 hours per week. These workers may be eligible for benefits, depending on company settings and hours worked. * TEMPORARY: These workers are hired on a temporary basis. You can specify how each worker with this employment type will be paid individually.

                              Possible values: [PART-TIME,FULL-TIME,TEMPORARY]
                            gender string

                            The gender of the worker, if specified.

                            Possible values: [MALE,FEMALE,NONBINARY,UNDETERMINED,DIVERSE,DOES_NOT_APPLY,PREFER_NOT_TO_SAY]
                            date_of_birth string

                            The worker's date of birth.

                            race string

                            The identified race of the worker, if specified.

                            Possible values: [BLACK,BROWN,CHINESE,EURASIAN,INDIAN,INDIGENOUS,MALAY,WHITE,YELLOW,NOT_INFORMED,OTHER]
                            ethnicity string

                            The identified ethnicity of the worker, if specified.

                            Possible values: [HISPANIC_OR_LATINO,WHITE,BLACK_OR_AFRICAN_AMERICAN,NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER,ASIAN,AMERICAN_INDIAN_OR_ALASKA_NATIVE,TWO_OR_MORE_RACES,MIDDLE_EASTERN_OR_NORTH_AFRICAN,DECLINE_TO_SELF_IDENTIFY,AFRICAN,COLOURED,INDIAN,OTHER,PREFER_NOT_TO_SAY]
                            citizenship string

                            The countries that the worker has citizenship in.

                            Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
                            compensation_id string

                            The compensation package for the worker.

                            compensation object
                            The compensation package for the worker.
                              id stringrequired

                              Identifier field

                              created_at stringrequired

                              Record creation date

                              updated_at stringrequired

                              Record update date

                              worker_id string

                              The worker's ID.

                              worker object
                              The worker's details.
                                annual_compensation object
                                The worker's annual compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                annual_salary_equivalent object
                                The worker's annual salary equivalent, for insurance purposes. It will be equal to the worker's annual compensation, except for owners that are receiving no cashcompensation.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                hourly_wage object
                                The worker's hourly wage. This calculation assumes 40-hour work weeks for workers with fixed compensation.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                monthly_compensation object
                                The worker's monthly compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                on_target_commission object
                                The worker's on-target commission.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                relocation_reimbursement object
                                The worker's hourly wage. This calculation assumes 40-hour work weeks for workers with fixed compensation.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                signing_bonus object
                                The worker's signing bonus.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                target_annual_bonus object
                                The worker's target annual bonus amount.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                weekly_compensation object
                                The worker's weekly compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.
                                  currency_type string

                                  The currency type, ex: USD, EUR, etc.

                                  value number

                                  The decimal amount for the currency.

                                target_annual_bonus_percent number

                                The worker's target annual bonus as a percent of annual compensation.

                                bonus_schedule string

                                The worker's bonus schedule.

                                payment_type string

                                The payment type for an worker's compensation.

                                payment_terms string

                                The payment terms for an worker's compensation.

                                salary_effective_date string

                                Salary effective date

                              overtime_exemption string

                              The worker's overtime exemption status.

                              Possible values: [EXEMPT,NON_EXEMPT]
                              department_id string

                              The worker's assigned department.

                              department object
                              The worker's assigned department.
                                id stringrequired

                                Identifier field

                                created_at stringrequired

                                Record creation date

                                updated_at stringrequired

                                Record update date

                                name stringrequired

                                The name of the department.

                                parent_id string

                                The parent department.

                                parent object
                                The parent department.
                                  reference_code string

                                  Reference code of the department.

                                  department_hierarchy_id string[]

                                  The identifier of departments in the department hierarchy ordered from parent department to child department.

                                  department_hierarchy object[]

                                  List of departments in the department hierarchy. Refer department_hierarchy_ids for department hierarchy order.

                                  Expandable field

                                teams_id string[]

                                The worker's assigned teams.

                                teams object[]
                                The worker's assigned teams.
                                  Array [
                                  id stringrequired

                                  Identifier field

                                  created_at stringrequired

                                  Record creation date

                                  updated_at stringrequired

                                  Record update date

                                  parent_id string

                                  The parent team

                                  parent object
                                  The parent team
                                    name stringrequired

                                    The name of the team.

                                    ]
                                  title string

                                  The worker's title.

                                  title_effective_date string

                                  Title effective date

                                  level_id string

                                  The level of the worker.

                                  level object
                                  The level of the worker.
                                    id stringrequired

                                    Identifier field

                                    created_at stringrequired

                                    Record creation date

                                    updated_at stringrequired

                                    Record update date

                                    name stringrequired

                                    The name of the level. Must be unique within the company or organization.

                                    parent_id string

                                    The parent level.

                                    parent object
                                    The parent level.
                                      global_level integer

                                      Global level is used to track the seniority of levels. The higher up a level is placed on the page, the more senior and higher-ranked the level. Global level is used in workflows, policies, and reports that use the level attribute (e.g., you can use Level Lookup to set up a workflow that notifies the nearest person in an worker's management chain at or above the specified level).

                                      description string

                                      The description of the level.

                                      scope_of_responsibilities string

                                      The scope of responsibilities for the level.

                                      experience_requirements string

                                      The experience requirements for the level.

                                      rank integer

                                      The rank of the level within its track.

                                      track_id string

                                      The track associated with the level. Required during creation. Include global_level when changing it.

                                      track object
                                      The track associated with the level, if it's not a global level.
                                        id stringrequired

                                        Identifier field

                                        created_at stringrequired

                                        Record creation date

                                        updated_at stringrequired

                                        Record update date

                                        name stringrequired

                                        The name of the track. Must be unique within the company or organization.

                                        is_default boolean

                                        Whether this is the company's default track.

                                        order integer

                                        The one-based horizontal display order of the track.

                                        start_global_level integer

                                        The highest global level occupied by this track. Empty tracks return null.

                                    job_function_id string

                                    ID of the worker's job function.

                                    job_function object
                                    The worker's job function. When expanded, this field requires `job-functions.read`.
                                      id stringrequired

                                      Identifier field

                                      created_at stringrequired

                                      Record creation date

                                      updated_at stringrequired

                                      Record update date

                                      name string

                                      Displayed name of the job function

                                    termination_details object
                                    The details of the worker's termination, if applicable.
                                      type string

                                      The termination type indicates whether the termination was voluntary or involuntary.

                                      Possible values: [VOLUNTARY,INVOLUNTARY,RETIREMENT,DEATH,ABANDONMENT,OFFER_DECLINED,RESCIND,RENEGE]
                                      reason string

                                      This is a description that will be custom to each Rippling company.

                                    pay_schedule_id string

                                    The ID of the pay schedule currently associated with the worker.

                                    work_schedule object
                                    The worker's scheduled working hours for each day of the week.
                                      property name* object
                                      The scheduled working hours for a day of the week.
                                        hours number

                                        The number of scheduled working hours for the day.

                                    compensation_grade object
                                    The compensation grade assigned to the worker, if any.
                                      id string

                                      The compensation grade's unique identifier.

                                      label string

                                      The compensation grade's label.

                                    original_start_date string

                                    The worker's earliest start date across their employment history, excluding INIT roles.

                                    custom_fields object[]
                                    Custom field values defined on the Employee object for this worker
                                      Array [
                                      property name* object
                                      ]
                                    country_fields object
                                    Country level fields for the worker.
                                      us object
                                      Country-wise regional fields for USA
                                        ssn string

                                        Social Security Number (SSN) for US employees.

                                      ca object
                                      Country-wise regional fields for Canada
                                        sin string

                                        Social Insurance Number (SIN) for Canada employees.

                                      nz object
                                      Country-wise regional fields for New Zealand
                                        ird_number string

                                        Inland Revenue Department (IRD) number for New Zealand employees.

                                    business_partners_id string[]

                                    Worker's assigned business partners unique identifiers. Returns an empty list ([]) if the worker has no business partners.

                                    business_partners object[]

                                    Worker's assigned business partners. This field is only populated when explicitly requested via the expand parameter (e.g., ?expand=business_partners). When expanded, returns an empty list ([]) if the worker has no business partners.

                                    Expandable field

                                  client_group_id string

                                  Identifier of group of workers associated with the business partner

                                  client_group object
                                  Group of workers associated with the business partner
                                    id stringrequired

                                    Identifier field

                                    created_at stringrequired

                                    Record creation date

                                    updated_at stringrequired

                                    Record update date

                                    display_name string

                                    The group's display name.

                                    name string

                                    The group's name.

                                    app_owner_id string

                                    The id of the group's app owner.

                                    group_type string

                                    The group type

                                    sub_group_type string

                                    The sub group type

                                    read_only boolean

                                    Whether the group is read only.

                                    description string

                                    The group's description.

                                    parent string

                                    The group's parent.

                                    mutually_exclusive_key string

                                    The group's mutually exclusive key

                                    cumulatively_exhaustive_default boolean

                                    Whether the group is the cumulatively exhaustive default

                                    include_terminated boolean

                                    Whether the group include terminated roles

                                    allow_non_employees boolean

                                    Whether the group allows non employees

                                    can_override_role_states boolean

                                    Whether the group can override role states

                                    priority integer

                                    The group's priority when calculating mutual exclusivity

                                    is_invisible boolean

                                    Whether the group is invisible

                                    ignore_prov_group_matching boolean

                                    Whether to ignore provisioning group matching when determining group membership

                                  client_group_member_count integer

                                  Number of workers associated with the business partner

                                  ]
                                next_link string

                                A link to the next page of responses.

                              Loading...